<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>general-CS-Glossary</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h3 id="access-microsoft-access">Access (Microsoft Access)</h3>
<p>A Relational Database Management System developed by Microsoft that is part of the Microsoft Office Professional suite. Microsoft Access is often used on websites running on the Windows platform with low traffic.</p>
<h3 id="activemovie">ActiveMovie</h3>
<p>A web technology originally developed by Microsoft for the purpose of streaming video from a webserver to a client. ActiveMovie is now known as DirectShow.</p>
<h3 id="activex">ActiveX</h3>
<p>A set of technologies developed by Microsoft for the purpose of sharing information between different applications. ActiveX grew out of two other Microsoft technologies, specifically OLE (Object Linking and Embedding) and COM (Component Object Model). ActiveX also makes it possible for web browsers to download and execute various Windows programs.</p>
<h3 id="algorithm">Algorithm</h3>
<p>A specific set of steps for carrying out certain tasks. Algorithms are used extensively in computer programming to arrive at a solution for a specific problem. The process of creating an algorithm involves documenting all the necessary steps needed to arrive at a solution and how to go about each step. A real world example of an algorithm would be a recipe. The collective instructions of a typical recipe (add ingredients, mix, stir, etc.) constitute an algorithm.</p>
<h3 id="anchor">Anchor</h3>
<p>The part of a webpage where a link begins or ends. Learn more about links in our <a href="http://www.landofcode.com/html-tutorials/html-links.php">HTML links tutorial</a>.</p>
<h3 id="ansi">ANSI</h3>
<p>Stands for American National Standards Institute. ANSI is an organization responsible for such standards in the computer industry as the ANSI C Standard and FDDI (Fiber Distributed Data Interface) - the main set of protocols used to send data through fiber optic cables.</p>
<h3 id="ansi-c">ANSI C</h3>
<p>An international standard developed for the C language by ANSI (American National Standards Institute).</p>
<h3 id="ado">ADO</h3>
<p>Stands for ActiveX Data Object. ADO is a technology developed by Microsoft that provides access to any kind of data source.</p>
<h3 id="adsl">ADSL</h3>
<p>Stands for Asymmetrical Digital Subscriber Line. In this type of DSL connection, the upload speed is different from the download speed.</p>
<h3 id="allaire">Allaire</h3>
<p>A company started by Jeremy and JJ Allaire which released the first version of ColdFusion in 1995. Allaire was purchased in 2001 by Macromedia.</p>
<h3 id="amaya">Amaya</h3>
<p>An open source web browser and web editor in one! Developed by the W3C. <a href="http://www.w3.org/Amaya/">Download Amaya</a>.</p>
<h3 id="analog">Analog</h3>
<p>The opposite of digital. Analog refers to the transmission of continuous electronic signals that represent an infinite amount of values.</p>
<h3 id="animation">Animation</h3>
<p>The process by which a set of images simulate movement when they are shown in a specific order.</p>
<h3 id="anti-virus-program">Anti-Virus Program</h3>
<p>Software whose purpose is to discover and eliminate computer viruses.</p>
<h3 id="apache">Apache</h3>
<p>A web server developed by the Apache Software Foundation. Apache Web Server is open source. It works with a range of operating systems including Linux, Unix, Solaris, and Windows. <a href="http://httpd.apache.org/">Download Apache</a>.</p>
<h3 id="applet">Applet</h3>
<p>A program that is executed from within another program.</p>
<h3 id="archie">Archie</h3>
<p>A program used to search FTP sites for certain programs.</p>
<h3 id="api">API</h3>
<p>Stands for Application Programming Interface. An API contains various routines, protocols, algorithms, and tools used for software development. An API also lets programs communicate with each other, or in the case of the web, web browsers or web servers can communicate with other programs through the use of an API.</p>
<h3 id="arpanet">ARPAnet</h3>
<p>Stands for Advanced Research Project Agency network. ARPAnet is the network that the internet was borne out of. Originally established in 1969, ARPAnet was used to test new technologies, and it linked together many universities and research centers.</p>
<h3 id="authentication">Authentication</h3>
<p>The process by which a user, program, or computer is verified to be legitimate in various situations such as checking a password.</p>
<h3 id="ascii">ASCII</h3>
<p>Stands for American Standard Code for Information Interchange. ASCII is a set of codes used to represent various characters including letters, numbers, and special control characters as numbers. Each character is assigned a number from 0 to 127. For example, capital E is assigned the value 45. HTML uses ASCII to transmit data over the web.</p>
<h3 id="asf">ASF</h3>
<p>Stands for Advanced Streaming Format. ASF is a technology developed by Microsoft for the purpose of streaming multimedia.</p>
<h3 id="asp">ASP</h3>
<p>Stands for Active Server Pages. ASP is a technology developed by Microsoft for the purpose of creating dynamic pages that have a.asp extension. Such pages utilize VBScript or JScript code.</p>
<h3 id="asx">ASX</h3>
<p>Stands for ASF Streaming Redirector. ASX is a technology developed by Microsft for Windows media for the purpose of storing information about ASF files in an XML format.</p>
<h3 id="avi">AVI</h3>
<p>Stands for Audi Video Interleave. AVI is a file format for compressed video files developed by Microsoft that is part of the Video for Windows technology.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>B</p>
<h3 id="banner-ad">Banner Ad</h3>
<p>An advertisement placed on a webpage which links to the advertiser’s website. Banner ads can contain text, graphical images, animation, and sound.</p>
<h3 id="bandwidth">Bandwidth</h3>
<p>The amount of data that can be transmitted over an internet connection in a specific period of time. Bandwidth is expressed in bits per second(bps) or bytes per second for digital devices, and as cycles per second or Hertz(Hz) for analong devices.</p>
<h3 id="baud">Baud</h3>
<p>The number of signals that can be sent over a data channel per second. The term ‘baud’ is named after the inventor of the Baudot telegraph code, J.M.E. Baudot.</p>
<h3 id="bbs">BBS</h3>
<p>Stands for Bulletin Board System. A BBS is a web based public electronic system that allow users to dial in with a modem and share discussions, review messages left by other users, and share files.</p>
<h3 id="binary-data">Binary Data</h3>
<p>Data expressed in a number system that has only the digits 0 and 1. Such data is expressed in bits (binary digits), and is in machine readable form.</p>
<h3 id="bit">Bit</h3>
<p>Abbreviation for binary digit. A bit is a unit of data that can have a value of 0 or 1. It is the smallest unit of data that can be stored in a computer.</p>
<h3 id="bmp">BMP</h3>
<p>Abbreviation for Bitmap - a format used for storing images. A Bitmap contains a representation of an image in computer memory which consists of rows and columns of dots. The Microsoft Paint program stores images in a Bitmap format.</p>
<h3 id="bookmark">Bookmark</h3>
<p>A stored link to a particular webpage or other web resource such as an image that can later be accessed by a user.</p>
<h3 id="browse">Browse</h3>
<p>The process by which a user accessess various web resources.</p>
<h3 id="bps">BPS</h3>
<p>Stands for Bits Per Second. BPS is the speed at which data is transmitted over the internet.</p>
<h3 id="browser">Browser</h3>
<p>Same as Web Browser.</p>
<h3 id="byte">Byte</h3>
<p>A unit of data containing 8 bits. A byte can store one text character.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>C</p>
<p>An advanced high-level computer programming language used for application development. C was originally developed by Dennis Ritchie at Bell Labs in the 1970’s and was originally designed to be a systems programming language but since then has proven itself to be able to be used for various software applications such as business programs, engineering programs, and even games. The UNIX operating system is written in C.</p>
<h3 id="c">C++</h3>
<p>A descendant of C. The C++ language is an advanced high-level computer programming language used for application development . However C++ unlike C, is object-oriented. C++ was originally developed by Bjarne Stroustrup at Bell Labs.</p>
<h3 id="c-1">C</h3>
<p>A language developed by Microsft that is a version of C++ and contains functions similar to the Java language.</p>
<h3 id="case-sensitive">Case Sensitive</h3>
<p>A situation where it is important if a letter or a set of letters are in upper or lower case.</p>
<h3 id="cache">Cache</h3>
<p>Pronounced as cash. In web terms, a cache is a storage space where the copies of web pages and other web resources such as images are stored. In general computer terms, a cache is also used for storage where it can be either a section of main memory that is reserved or an independent high-speed storage device.</p>
<h3 id="chat">Chat</h3>
<p>Communication between internet users that occurs through various mediums that allow for text-based communication such as instant message programs, chatrooms, and forums.</p>
<h3 id="cgi">CGI</h3>
<p>Stands for Common Gateway Interface. CGI is a mechanism for transferring data between a web server and a CGI program.</p>
<h3 id="cgi-bin">CGI-Bin</h3>
<p>CGI-Bin is usually the name of the folder or directory on a web server that stores the CGI programs pertaining to the web server.</p>
<h3 id="cgi-program">CGI Program</h3>
<p>Common Gateway Interface program. A CGI program is a program that manages the interaction between web servers and users, as well as handling the input and output from web servers. CGI programs can be written in a variety of languages including Java , Perl, C, and Visual Basic.</p>
<h3 id="cinepak">Cinepak</h3>
<p>A codec technology used for computer video originally developed by SuperMac Inc.</p>
<h3 id="click">Click</h3>
<p>The process by which a user presses one of the mouse buttons to achieve a desired result such as opening a new page by clicking on a link or accessing a pop-up menu.</p>
<h3 id="clickthrough-rate">Clickthrough Rate</h3>
<p>The percentage of times that viewers of a webpage click on an advertisement link. For example, if 15 out of 100 viewers of a webpage click on an advertisement link, the clickthrough rate is 15%.</p>
<h3 id="codec">Codec</h3>
<p>An abbreviation for compressor/decompressor. Codec is a technology used for compressing and decompressing data. MPEG is a popular codec used for compressing and decompressing video.</p>
<h3 id="compression">Compression</h3>
<p>In web terms, compression is reducing the size of web resources such as webpages and images so that they are received and viewed quicker by the user. In general computer terms, compression is reducing the size of data so that it can be stored in a format that takes up less space.</p>
<h3 id="computer-virus">Computer Virus</h3>
<p>A malicious program whose purpose is to harm a computer by deleting files, preventing log ins, and other malicious activities. Some viruses can even replicate themselves and attach onto non-malicious programs.</p>
<h3 id="cookie">Cookie</h3>
<p>A small text file that a web server may store on a user’s computer for the purpose of uniquely identifying the user during future visits to the website.</p>
<h3 id="coldfusion">ColdFusion</h3>
<p>A web development software tool used to integrate databases and webpages. ColdFusion was originally created by the Allaire Corporation.</p>
<h3 id="css">CSS</h3>
<p>Stands for Cascading Style Sheets. CSS is a language used for declaring stylesheets that describe how the content on webpages will appear. CSS is recommended by the World Wide Web Consortium (W3C) and can be used to define various styles for webpages including font size, font color, spacing between elements, and a background color/image.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>D</p>
<h3 id="database">Database</h3>
<p>A collection of data stored in a computer in such a way that a program or a webpage can easily find, select, and/or manipulate the desired data. Typically, databases are organized by fields, records and files. A field is one piece of data, a record is a collection of fields, and a file is a collection of records.</p>
<h3 id="database-system">Database System</h3>
<p>A system used for the purposes of storing and manipulating data. There are various database systems including Microsoft Access, Oracle, SQL, and MySQL.</p>
<h3 id="db2">DB2</h3>
<p>Short for Database 2. DB2 is a database system created by IBM which is used mostly on Unix and Solaris platforms.</p>
<h3 id="dba">DBA</h3>
<p>Stands for Database Administrator. A DBA is responsible for administering a database, whether it is a human or a software tool. Typical cuties of a DBA include installation, backup, maintenance, and implementation of databases.</p>
<h3 id="dhcp">DHCP</h3>
<p>Stands for Dynamic Host Configuration Protocol. DHCP is an internet protocol that assigns network devices dynamic IP addresses.</p>
<h3 id="dhtml">DHTML</h3>
<p>Stands for Dynamic HTML. DHTML refers to HTML content that changes dynamically. HTML content can change dynamically based on various factors including a users geographic location or data input by the user.</p>
<h3 id="dial-up-connection">Dial-up Connection</h3>
<p>An analog internet connection that works through a phone line and a modem.</p>
<h3 id="digital">Digital</h3>
<p>The opposite of analog. Digital refers to a system that uses numbers or non-numeric symbols for the transmission of data as opposed to the transmission of continuous electronic signals.</p>
<h3 id="dns">DNS</h3>
<p>Stands for Domain Name System (or Service or Server). DNS is a system used to translate domain names into IP addresses.</p>
<h3 id="dns-server">DNS Server</h3>
<p>A web server that is running DNS.</p>
<h3 id="dom">DOM</h3>
<p>Stands for Document Object Model. The DOM is a set of rules for how elements on a webpage (text, frames, images, buttons, etc.) interact and are represented.</p>
<h3 id="domain">Domain</h3>
<p>A network that contains a group of computers and devices that are adminstered as one unit with a set of rules and procedures.</p>
<h3 id="domain-name">Domain Name</h3>
<p>The name used to identify a website. For example, www.yahoo.com</p>
<h3 id="dos">DOS</h3>
<p>Stands for Disk Operating System. DOS is short for MS-DOS - an operating system originally developed by Microsoft to be used in IBM personal computers.</p>
<h3 id="download">Download</h3>
<p>The process by which data is transferred from a remote location to a local computer.</p>
<h3 id="dsl">DSL</h3>
<p>Stands for Digital Subscriber Line. DSL is an internet connection that works over a regular telephone line, but at a much faster speed than dial-up, and also allows the user to be on the phone and on the internet at the same time. In addition, a DSL connection is digital unlike a dial-up connection which is analog. DSL speed ranges from 144 Kbps to 1.5Mbps (Mega bits per second).</p>
<h3 id="dtd">DTD</h3>
<p>Stands for Document Type Definition. A DTD specifies a set of rules that are used to define how content can be displayed in an SGML, XML, or HTML document. Common rules in a DTD may include specifications on where certain tags are allowed, and which tags can or cannot appear within other tags.</p>
<h3 id="dynamic-ip">Dynamic IP</h3>
<p>An IP address that changes every time a device is connected to the internet. In some cases, an IP address of a device can change while it is connected.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>E</p>
<h3 id="e-mail">E-mail</h3>
<p>Abbreviation for Electronic Mail. E-mail refers to electronic messages that are sent over communications networks on the internet. E-mail is sent and retrieved with various protocols including SMTP, POP3, and IMAP.</p>
<h3 id="e-mail-address">E-mail Address</h3>
<p>A unique name that is used to identify and send e-mail messages to a person or organization on the internet. The format for an e-mail address is username@hostname.domain Example: john@mail.com</p>
<h3 id="e-mail-server">E-mail Server</h3>
<p>Also known as a mail server. An E-mail server is a server whose tasks include storing e-mail, defining rules in regards to the destination of specific messages, storing a database of users that are recognized by the mail server, and transferring messages to and from other mail servers and e-mail programs.</p>
<h3 id="encryption">Encryption</h3>
<p>The process by which data is converted into a secret code from its original form via some algorithm. The data in its original form can then only be read by those who can reverse the encryption. Encryption prevents unauthorized reading of data.</p>
<h3 id="ethernet">Ethernet</h3>
<p>A type of LAN architecture.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>F</p>
<h3 id="firewall">Firewall</h3>
<p>A system used to prevent access to a network or certain devices on a network. There are software as well as hardware firewalls.</p>
<h3 id="flash">Flash</h3>
<p>A vector based animation technology originally developed by FutureWave Software. Flash was known as FutureSplash until 1997, when FutureWave Software was bought by MacroMedia Inc. Flash is used to create various animations and graphics that can be displayed in any modern web browser that contains the necessary plug-in.</p>
<h3 id="form">Form</h3>
<p>A collection of fields that are filled with data and submitted.</p>
<h3 id="forum">Forum</h3>
<p>An online discussion group devoted to various subjects. Forum is synonomous with Newsgroup.</p>
<h3 id="frame">Frame</h3>
<p>In web terms, a frame is a part of the browsers display area which actually contains a different web page. In general computer terms, a frame is a rectangular area which can contain graphical components such as buttons and textboxes, as well as images and text.</p>
<h3 id="frontpage">FrontPage</h3>
<p>A software tool used for web development. FrontPage was originally created by Vermeer Technologies Inc. The company was later bought by Microsoft, at which point Frontpage became Microsoft Frontpage.</p>
<h3 id="ftp">FTP</h3>
<p>Stands for File Transfer Protocol. FTP is a protocol that typically runs on port 21 and is used to send files between two computers through the use of specific FTP commands.</p>
<h3 id="ftp-server">FTP Server</h3>
<p>A software tool installed on a computer so that users can log in, upload files to it and get files from it using the FTP protocol.</p>
<h3 id="firewall-1">Firewall</h3>
<p>A system used to prevent access to a network or certain devices on a network. There are software as well as hardware firewalls.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>G</p>
<h3 id="gateway">Gateway</h3>
<p>A device on a network that acts as an entry point to another network.</p>
<h3 id="gif">GIF</h3>
<p>Stands for Graphics Interchange Format. GIF is a graphics format developed by CompuServe used for storing compressed image files. The GIF format is one of the most common image formats on the internet.</p>
<h3 id="gb">GB</h3>
<p>An abbreviation for gigabyte or gigabytes. Example: 1GB (1 gigabyte), 5GB (5 gigabytes)</p>
<h3 id="gigabyte">Gigabyte</h3>
<p>A unit of data consisting of 1024 megabytes. Related terms: byte, kilobyte, and megabyte.</p>
<h3 id="graphics">Graphics</h3>
<p>Visual images displayed on a computer.</p>
<h3 id="graphics-monitor">Graphics Monitor</h3>
<p>A display monitor that is capable of displaying graphics.</p>
<h3 id="graphics-printer">Graphics Printer</h3>
<p>A printer that is capable of printing graphics.</p>
<h3 id="graphical-banner">Graphical Banner</h3>
<p>A Banner Ad that contains graphical elements instead of just text.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>H</p>
<h3 id="helper-application">Helper application</h3>
<p>A program launched to display content that is retrieved by a web browser. Some helper applications include Windows Media Player and RealPlayer for playing streaming video files.</p>
<h3 id="home-page">Home Page</h3>
<p>The root (main) page of a web site. The page that is displayed by default when a web site is visited. For example, when you enter www.landofcode.com into your web browser and visit this website, the page that is displayed by default is index.html</p>
<h3 id="host">Host</h3>
<p>A computer that is accessed by a user from a remote location, also any computer on a network.</p>
<h3 id="hosting">Hosting</h3>
<p>The process of providing services by which data will be stored on a network device. Users that want to access such data can then request it from the host. For example, through web hosting individuals or organizations can store the contents of their websites on network devices which can be accessed by various users who request it.</p>
<h3 id="html">HTML</h3>
<p>Stands for Hyper Text Markup Language. HTML is a markup language that is the core language of the world wide web. HTML defines the structure of a web document as well as the layout of text and various elements on it such as buttons and images.</p>
<h3 id="html-document">HTML Document</h3>
<p>A document that is written in HTML. HTML document is synonomous with HTML page.</p>
<h3 id="html-editor">HTML Editor</h3>
<p>A software tool used for editing the content of webpages. HTML editors present the page being edited exactly the way it will be displayed in a web browser.</p>
<h3 id="html-form">HTML Form</h3>
<p>A form on a webpage filled out by the user that sends data to the web server.</p>
<h3 id="html-page">HTML Page</h3>
<p>A document that is written in HTML. HTML page is synonomous with HTML document.</p>
<h3 id="html-tags">HTML Tags</h3>
<p>Pieces of code that are used to identify and structure different parts of an HTML document. Because of HTML tags, a web browser knows how to display an HTML document.</p>
<h3 id="http">HTTP</h3>
<p>Stands for Hyper Text Transfer Protocol. HTTP is a protocol that typically runs on port 80 and is used to send web resources such as images and HTML documents across the world wide web. Through the use of HTTP, data is sent from an HTTP server program ( a web server ) to an HTTP client program ( a web browser ).</p>
<h3 id="http-client">HTTP Client</h3>
<p>A software tool that receives data from a web server through the HTTP protocol. Some HTTP clients include web browsers like Mozilla Firefox and Netscape.</p>
<h3 id="http-server">HTTP Server</h3>
<p>A software tool used to store and send data over the world wide web to HTTP clients. Some HTTP servers include Apache and IIS.</p>
<h3 id="https">HTTPS</h3>
<p>Stands for Hyper Text Transfer Protocol Secure. HTTPS is a secure version of HTTP and provides communication using SSL. With HTTPS, data that is sent between a web server and a web client is encrypted.</p>
<h3 id="hyperlink">Hyperlink</h3>
<p>A link on a webpage to another web document, usually a webpage, but can also be an image, a sound, or any other web resource. Hyperlink is synonomous with Link and Hotlink.</p>
<h3 id="hypermedia">Hypermedia</h3>
<p>An extension to hypertext which includes graphics, audio, and video.</p>
<h3 id="hypertext">Hypertext</h3>
<p>Text that is linked to other documents in a way that makes it pssobile for readers to read related documents by clicking on a highlighted word or symbol.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>I</p>
<h3 id="iab">IAB</h3>
<p>Stands for Internet Architecture Board. The IAB is an organization whose task is to oversee internet standards.</p>
<h3 id="iap">IAP</h3>
<p>Stands for Internet Access Provider. An IAP is a company that provides internet access. Not to be confused with ISP (Internet Service Provider), which is a company that provides internet access, and can also provide services such as leased lines and hosting.</p>
<h3 id="ietf">IETF</h3>
<p>Stands for Internet Engineering Task Force. THE IETF is a subgroup of IAB and it is a community of people focused on the smooth running of the internet.</p>
<h3 id="iis">IIS</h3>
<p>Stands for Internet Information Server. IIS is a web server created by Microsoft that runs on Windows NT platforms.</p>
<h3 id="imap">IMAP</h3>
<p>Stands for Internet Message Access Protocol. IMAP is a protocol used for receiving e-mail messages from a mail server.</p>
<h3 id="indeo">Indeo</h3>
<p>A software codec for computer video. Indeo was developed by Intel. While Indeo is a software codec, it is based on DVI - a hardware codec.</p>
<h3 id="internet">Internet</h3>
<p>An abbreviation for internetwork. The internet is a global network connecting together many other networks and thus making communications between the various devices and computers on these networks possible.</p>
<h3 id="internet-explorer">Internet Explorer</h3>
<p>A web browser originally developed by SpyGlass inc. and later purchased by Microsoft. Internet Explorer is currently the most popular web browser.</p>
<h3 id="intranet">Intranet</h3>
<p>A private network accessible only by those on the network. An Intranet runs inside a LAN.</p>
<h3 id="ip-address">IP Address</h3>
<p>Stands for Internet Protocol Address. An IP address is a unique identifier for every computer or device on a network.</p>
<h3 id="irc">IRC</h3>
<p>Stands for Internet Relay Chat. IRC is an online discussion medium similar to a forum, but the chat occurs in real time as oppsed to a forum.</p>
<h3 id="irc-client">IRC Client</h3>
<p>A software tool used to establish and maintain a connection to IRC.</p>
<h3 id="irc-server">IRC Server</h3>
<p>A server that serves connections to IRC.</p>
<h3 id="isapi">ISAPI</h3>
<p>Stands for Internet Server Application Programming Interface. ISAPI is an API for Microsoft’s IIS web server.</p>
<h3 id="isdn">ISDN</h3>
<p>Stands for Integrated Services Digital Network. ISDN is a telecommunications standard used for sending digital data over digital phone lines as well as non-digital telephone wires.</p>
<h3 id="isp">ISP</h3>
<p>Stands for Internet Service Provider. An Internet Service Provider is a company that provides individuals and companies with internet access. ISP is synonomous with IAP.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>J</p>
<h3 id="java">Java</h3>
<p>A high level, object-oriented, platform independent programming language developed by Sun Microsystems. Java can be used to write applications as well as applets that run in web pages.</p>
<h3 id="java-applet">Java Applet</h3>
<p>A Java program that can run within a webpage and can be downloaded to the user’s computer from a webserver.</p>
<h3 id="javascript">JavaScript</h3>
<p>An object-oriented high level language used for web development. Javascript was originally created by Netscape. Javascript can be used to interact with the user as well as create dynamic content such as moving images and clocks.</p>
<h3 id="jpeg">JPEG</h3>
<p>Stands for Joint Photographics Experts Group. This organization is responsible for and promotes the JPG and JPEG image compression formats.</p>
<h3 id="jpeg-and-jpg">JPEG and JPG</h3>
<p>Image compression formats created by the Joint Photographics Experts Group ( JPEG ). The JPEG and JPG formats are popular on the internet.</p>
<h3 id="jscript">JScript</h3>
<p>A version of Javascript developed by Microsoft.</p>
<h3 id="jsp">JSP</h3>
<p>Stands for Java Server Pages. JSP is a server-side technology that allows for dynamic scripts to work with HTML code.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>K</p>
<h3 id="kb">KB</h3>
<p>An abbreviation for kilobyte or kilobytes. Example: 1KB ( 1 kilobyte ), 5KB ( 5 kilobytes ).</p>
<h3 id="keyword">Keyword</h3>
<p>In the world wide web, a keyword is a word used by search engines to search for relevant information. In databases, a keyword is an entry used to specify a particular record. In programming, a keyword is a special word that is reserved by a particular language for some usage.</p>
<h3 id="kilobyte">Kilobyte</h3>
<p>A unit of data consisting of 1024 bytes. Kilobyte is abbreviated as KB.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>L</p>
<h3 id="lan">LAN</h3>
<p>Stands for Local Area Network. A LAN is a network spanning a relatively small area, usually limited to one building or a group of buildings. LAN’s are often used by organizations that need their own network such as offices and educational institutions. Two or more LAN’s connected together make up a WAN.</p>
<h3 id="link">Link</h3>
<p>In general programming, the execution of a linker. In spreadsheet software, when two or more files are linked by common cells. In telecommunications, a path for data transmission. In data management systems, a pointer to another record. In some operating systems such as unix, a pointer to a file which makes it possible to access the file without specifying the files full path. In the world wide web, the same as hyperlink.</p>
<h3 id="linux">Linux</h3>
<p>A free open source operating system based on Unix. Linux gets its name from the man responsible for developing most of the operating system’s kernel - Linus Trovalds.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>M</p>
<h3 id="mail">Mail</h3>
<p>See E-mail</p>
<h3 id="mail-server">Mail Server</h3>
<p>See E-mail server</p>
<h3 id="mb">MB</h3>
<p>An abbreviation for megabyte or megabytes. Example: 1MB ( 1 megabyte ), 10MB ( 10 megabytes ).</p>
<h3 id="megabyte">Megabyte</h3>
<p>A unit of data consisting of 1024 kilobytes. Megabyte is abbreviated as MB.</p>
<h3 id="meta">Meta</h3>
<p>The word meta when used in computer science is a prefix that means “about”.</p>
<h3 id="meta-data">Meta Data</h3>
<p>Data used to describe other data. Meta data is essentialy data about data.</p>
<h3 id="meta-search">Meta Search</h3>
<p>A search used to find meta data in documents.</p>
<h3 id="meta-tags">Meta Tags</h3>
<p>Special HTML tags used to describe a webpage in some way. Meta tags can be used to specify the author of a webpage, the software used to create the webpage, the content of the webpage, and more.</p>
<h3 id="midi">MIDI</h3>
<p>Stands for Musical Instrument Digital Interface. MIDI is a standard which creates an interface between computers and musical instruments through which they can communicate.</p>
<h3 id="mime">MIME</h3>
<p>Stands for Multipurpose Internet Mail Extensions. MIME is a standard first created in 1992 by the IETF and is used to send messages in different document types over the internet. There is currently a new version of MIME called S/MIME which supports sending encrypted messages over the internet.</p>
<h3 id="mime-types">MIME Types</h3>
<p>Document types that are defined by MIME. Some MIME types include text/plain, text/html, image/jpeg, and video/mpeg.</p>
<h3 id="modem">Modem</h3>
<p>An abbreviation for modulator-demodulator. A modem is a piece of computer hardware (could be internal or external) used to send data through telephone or cable lines. While data on a computer is stored digitally, data on telephone and cable lines is stored in an analog form. Other than sending data, it is the modem’s job to convert between digital and analog data. This is how modem gets its name - it modulates a digital signal into an analog signal, and then demodulates an analog signal into a digital signal.</p>
<h3 id="mosaic">Mosaic</h3>
<p>A web browser released in 1993 by the NCSA. Mosaic became the first commonly available web browser.</p>
<h3 id="mov">MOV</h3>
<p>A file extension used for multimedia files played on Apple’s QuickTime. A video codec developed by Apple.</p>
<h3 id="mp3">MP3</h3>
<p>Stands for MPEG-1 Audio Layer-3. MP3 is an audio compression technology that removes the superfluous information of a sound signal. This audio compression makes MP3 files easily transferable over the internet. MP3 is also a file extension for audio files compressed using the MP3 technology.</p>
<h3 id="mp3-file">MP3 File</h3>
<p>An audio file compressed using the MP3 technology.</p>
<h3 id="mpeg">MPEG</h3>
<p>Stands for Moving Picture Expert Group. MPEG is a standard codec created by the ISO used for audio and video. MPEG (as well as MPG ) is a file extension used for audio and video files created with the MPEG codec.</p>
<h3 id="mpeg-file">MPEG File</h3>
<p>An audio or video file created with the MPEG codec.</p>
<h3 id="mpg-file">MPG File</h3>
<p>An audio or video file created with the MPEG codec.</p>
<h3 id="ms-dos">MS-DOS</h3>
<p>Stands for Microsoft-Disk Operating System. MS-DOS is an operating system originally developed by Microsoft for IBM personal computers. MS-DOS later became the basis for the first versions of Windows.</p>
<h3 id="multimedia">Multimedia</h3>
<p>The integration of text, graphics, video, animation, and/or sound in a presentable way.</p>
<h3 id="mysql">MySQL</h3>
<p>A free open source database system commonly used for interaction with web applications.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>N</p>
<h3 id="netbeui">NetBEUI</h3>
<p>Stands for NetBios Extended User Interface. NetBEUI is an extended version of NetBIOS which was originally designed by IBM for the IBM Lan Manager Server. NetBEUI was later extended by Microsoft and Novell.</p>
<h3 id="netbios">NetBIOS</h3>
<p>Stands for Network Basic Input Output System. NetBIOS is an API that contains special functions for commmunication between computers on LAN’s. NetBIOS is used by DOS and Windows.</p>
<h3 id="navigate">Navigate</h3>
<p>Same as browse.</p>
<h3 id="netscape">Netscape</h3>
<p>A web browser developed by Netscape Communications. For some time, Netscape was the most popular web browser. As of now, Internet Explorer is the most popular web browser.</p>
<h3 id="newsgroup">Newsgroup</h3>
<p>Same as forum.</p>
<h3 id="news-reader">News Reader</h3>
<p>A software tool dedicated to enabling users to read messages from a newsgroup, and post messages to a newsgroup.</p>
<h3 id="news-server">News Server</h3>
<p>A server that serves newsgroups to users.</p>
<h3 id="node">Node</h3>
<p>Any computer or device on a network.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>O</p>
<h3 id="opera">Opera</h3>
<p>A web browser developed by the company Opera. Opera is available for various operating systems including Windows, Linux, and Mac.</p>
<h3 id="os">OS</h3>
<p>Stands for Operating System. An OS is the central program on a computer. An OS is responsible for running other programs, getting input from the user, sending output to the screen, keeping track of files and directories, and communicating with hardware. Some OS’s include Windows, Linux, Unix, Mac, and Solaris.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>P</p>
<h3 id="packet">Packet</h3>
<p>See TCP/IP Packet.</p>
<h3 id="page-hits">Page Hits</h3>
<p>When ever a user views a resource from a web server such as an image or a webpage. Since a page hit is the viewing of any web resource, usually there is more than one page hit at once. For example, if a user views a webpage with 4 images and 1 sound, that is 6 page hits. The webpage itself is one page hit, the images are four page hits, and the sound is one page hit.</p>
<h3 id="page-impressions">Page Impressions</h3>
<p>The viewing of an advertisement on a webpage. For example, if you view a webpage with two ads, thats two page impressions.</p>
<h3 id="page-views">Page Views</h3>
<p>When a webpage is viewed by a user.</p>
<h3 id="pdf">PDF</h3>
<p>Stands for Portable Document Format. PDF is a document format developed by Adobe Systems which makes it possible to view formatted documents exactly as they were intended. This is achieved by the way PDF technology gets formatting information from various desktop publishing applications.</p>
<h3 id="perl">Perl</h3>
<p>Stands for Practical Extraction and Report Language. PERL was originally developed by Larry Wall. It is a language used for writing CGI scripts.</p>
<h3 id="php">PHP</h3>
<p>Stands for Hypertext Preprocessor. PHP is an open source, server-side, high level, object-oriented web language used to develop dynamic web pages. PHP can be used to interact with the user, access databases, open FTP connections, and more. PHP was originally created in 1994 By Rasmus Lerdorf.</p>
<h3 id="ping">Ping</h3>
<p>A method used to determine if an IP address is accessible. Ping works by sending some packets to a specified IP address. If there is a reply, than the IP address is accesible, otherwise it is not. Sometimes however, an IP address may be accessible, but will not respond to pings for security reasons.</p>
<h3 id="platform">Platform</h3>
<p>The central hardware and/or software of a computer. For example, the software platform of the average PC is Windows, while its hardware platform is Intel X86. In web terms, platform refers only to the central software of a computer ( its operating system ), such as Windows, Linux, or Mac. The term platform is sometimes used synonomously with operating system.</p>
<ul>
<li><p>Car tracking devices</p></li>
<li><p>Machine</p></li>
<li><p>Chatroom</p></li>
<li><p>Auto parts international</p></li>
<li><p>Database management system</p></li>
<li><p>Download</p></li>
<li><p>Security System</p></li>
<li><p>8 Bits</p></li>
<li><p>Abbreviations</p></li>
<li><p>Activex</p></li>
<li><p>Car tracking devices</p></li>
<li><p>Machine</p></li>
<li><p>Chatroom</p></li>
<li><p>Auto parts international</p></li>
<li><p>Database management system</p></li>
<li><p>Download</p></li>
<li><p>Security System</p></li>
<li><p>8 Bits</p></li>
<li><p>Abbreviations</p></li>
<li><p>Activex</p></li>
</ul>
<h3 id="plug-in">Plug-In</h3>
<p>A piece of hardware or software that adds functionality to existing software by being installed to it. For example, there are many plug-ins for the Mozilla Firefox web browser that add functionality to it such as the Acrobat Reader plug-in which makes it possible to read PDF documents within the browser, once the plug-in is installed.</p>
<h3 id="png">PNG</h3>
<p>Stands for Portable Network Graphics. PNG is a graphics format that uses lossless data compression. PNG is set to replace the GIF graphics format, as it is completely patent and license free, while GIF is not.</p>
<h3 id="pop">POP</h3>
<p>Stands for Post Office Protocol. POP is a protocol used for receiving and reading e-mail from an e-mail server. The first version of the POP protocol named POP2 was a standard in the mid-80’s and required SMTP to send messages. The second version of the POP protocol named POP3 does not require SMTP to send messages, and can be used with or without it.</p>
<h3 id="port">Port</h3>
<p>In terms of hardware, a port is the physical interface on a computer to which devices or other computers can be connected. Computers have hardware ports to connect devices such as mice, keyboards, modems, and microphones. In terms of software, a port is an endpoint to a logical connection. Software ports range in number from 1 to 65535, with each port number identifying what kind of connection the port excepts. For example, port 21 excepts FTP connections, while port 25 excepts SMTP connections.</p>
<h3 id="protocol">Protocol</h3>
<p>A set of rules dictating how programs, computers, and devices communicate with each other over the internet. For Example, the Hyper Text Transfer Protocol (HTTP) specifies how data is sent over the world wide web between the web server and the user’s web browser.</p>
<h3 id="ppp">PPP</h3>
<p>Stands for Point to Point Protocol. PPP is used to establish a direct connection between two computers. Often times, a connection between a user’s computer and that of an ISP’s server, so that the user can connect to the internet through the server.</p>
<h3 id="proxy-server">Proxy Server</h3>
<p>A server that acts as a middle man in a connection between two computers. A proxy server can be used to improve performance by saving the results of various requests, and consequently loading such data faster when it is requested again. A proxy server can also be used to filter out content by checking what information is requested, and potentially blocking that information from reaching the user who requests it.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>Q</p>
<h3 id="quicktime">QuickTime</h3>
<p>A multimedia format developed by Apple. Mac’s as well as PC’s can run video and animation in a QuickTime format. For Mac’s , the QuickTime technology is built into the operating system. For PC’s, a special QuickTime driver is required. Various encoding formats are supported by QuickTime including Cinepak, JPEG, and MPEG.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>R</p>
<h3 id="router">Router</h3>
<p>A software tool or hardware device that transfers data to different devices across networks. Since a router transfters data across networks, it has to be connected to at least two networks. These two networks can be two LANs, two WANs, or a LAN and its ISP’S network.</p>
<h3 id="raid">RAID</h3>
<p>Stands for Redundant Array of Independent Disks. RAID is a standard by which multiple disks are connected to the same server . With RAID, better security, speed, and performance is achieved. RAID is often used for web servers, as many domains are often hosted on one server.</p>
<h3 id="rdf">RDF</h3>
<p>Stands for Resource Description Framework. RDF is a framework for describing the information contained in various web resources. RDF describes information such as when updates were made and keywords used by search engines to find various web pages.</p>
<h3 id="real-audio">Real Audio</h3>
<p>An audio format developed by RealNetworks in 1995. The current version of Real Audio is RealAudio 10.</p>
<h3 id="real-video">Real Video</h3>
<p>A video format developed by RealNetworks in 1997. The current version of Real Video is RealVideo 10.</p>
<h3 id="redirect">Redirect</h3>
<p>In web terms, a redirect is when a web page automatically sends the user to another web page. In general computer usage, a redirect is the process by which output on the command line is sent to a particular place such as a text file. In e-mail, a redirect is similar to a forward, the difference being when you redirect an e-mail to someone it will show the original senders e-mail address as well as your e-mail address in parentheses. For example, if you receive an e-mail from someone@adomain.com, your e-mail address is someone@anotherdomain.com, and you redirect the e-mail to the e-mail address thirdperson@email.com, the sender field will read something like From: someone@adomain.com (sent by your name).</p>
<h3 id="rgb">RGB</h3>
<p>Stands for Red Green Blue. RGB is an acronym for the three primary colors that when mixed in various ways produce the entire color spectrum.</p>
<h3 id="robot">Robot</h3>
<p>In computer terms, a robot is a program that runs by itself. Three types of robots are agents, spiders, and daemons.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>S</p>
<h3 id="schema">Schema</h3>
<p>See XML Schema.</p>
<h3 id="script">Script</h3>
<p>A list of statements that are executed without user interaction. Scripts are written using scripting languages such as Javascript and VBScript.</p>
<h3 id="scripting-language">Scripting Language</h3>
<p>A scripting language is a language used to write scripts that are usually executed in a web browser or a web server. Scripting languages are often used to add functionality to web pages such as interaction with the user, animations, and different menus. Code written in a scripting language is not compiled, rather interpreted. Some scripting languages include Javascript, VBScript, PHP, and Python.</p>
<h3 id="scripting">Scripting</h3>
<p>The process of writing a script in a scripting language.</p>
<h3 id="shareware">Shareware</h3>
<p>Software that is free of charge, however the author(s) of the software request a small fee for its usage so that the user can receive assistance with the software as well as updates to it. Shareware is meant to be shared among people (hence the name - shareware), but anyone who uses shareware is expected to pay the small fee for its usage.</p>
<h3 id="shockwave">Shockwave</h3>
<p>A technology created by Macromedia, Inc. for including multimedia in web pages.</p>
<h3 id="search-engine">Search Engine</h3>
<p>A program used to find information on the world wide web using specific keywords. Some search engines include Google, Yahoo , AltaVista, and Lycos.</p>
<h3 id="semantic-web">Semantic Web</h3>
<p>An extended version of the current world wide web that allows for an easier way to find, share, reuse, and combine information.</p>
<h3 id="server">Server</h3>
<p>A computer or device on a network responsible for distributing data to other computers or devices on a network that request data, also a computer or device on a network that manages resources. For example, a print server is responsible for managing printers, a network server is responsible for managing network traffic, a web server is responsible for distributing web resources, and an e-mail server is responsible for storing and retrieving e-mail.</p>
<h3 id="sgml">SGML</h3>
<p>Stands for Standard Generalized Markup Language. SGML was developed by the ISO and became a standard in 1986. SGML is a markup language that specifies the organization of documents created with other markup languages.</p>
<h3 id="smil">SMIL</h3>
<p>Stands for Synchronized Multimedia Integration Language. SMIL is a markup language that is currently in development for the world wide web by the W3C. SMIL will make it possible to divide multimedia content into separate entities, send them to a web browser individually, and then display them together as one single multimedia object. This will make multimedia content smaller in size, and consequently it will travel faster over the internet.</p>
<h3 id="smtp">SMTP</h3>
<p>Stands for Simple Mail Transfer Protocol. The SMTP protocol typically runs on port 25 and is used to transfter e-mail messages across the internet.</p>
<h3 id="soap">SOAP</h3>
<p>Stands for Simple Object Access Protocol. SOAP is a platform independent protocol used for letting applications communicate with each other through XML. SOAP can be transported using various protocols including SMTP, MIME, and HTTP.</p>
<h3 id="solaris">Solaris</h3>
<p>An operating system developed by Sun Microsystems. Solaris is based on Unix and contains support for various features including multithreading, symmetric multiprocessing, integrated TCP/IP networking, and centralized network administration.</p>
<h3 id="spam">SPAM</h3>
<p>Unsolicited junk e-mail or newsgroup posting. Spam usually comes in the form of advertisements for some product or service.</p>
<h3 id="spider">Spider</h3>
<p>See Web Spider.</p>
<h3 id="spoofing">Spoofing</h3>
<p>Forging an online identity in some way. With e-mail spoofing, someone can forge their real e-mail address. With web spoofing, someone can pretend they came from one webpage when they really came from another one. With IP spoofing, someone can pretend an IP address is their own when it is really not.</p>
<h3 id="spyware">Spyware</h3>
<p>Hidden software whose purpose is to gather data about a user’s web surfing habits. Spyware can come built in to various software that is downloadable from the internet, from software that comes pre-installed with a computer, or can secretly install itself from the web. Spyware usually gathers data about a user’s surfing habits for advertising purposes.</p>
<h3 id="sql">SQL</h3>
<p>Stands for Structured Query Language. SQL was originally called SEQUEL (Structured English Query Language) and was designed in 1974-75 by an IBM research center. In 1979, the Oracle corporation introduced SQL as a commercial database system. Today, SQL is the ANSI standard language used to get data from and manipulate databases.</p>
<h3 id="sql-server">SQL Server</h3>
<p>A database system which stores data and outputs it to computers who send queries to it in the form of SQL statements. The SQL server is a DBMS offered by Microsoft as well as Sybase.</p>
<h3 id="ssi">SSI</h3>
<p>Stands for Server Side Include. An SSI is a special type of HTML comment that when inserted on a web page, instructs the web server to dynamically generate content for the web page. Some content that can be generated on a webpage through the use of Server Side Includes is the content of other files on web pages and a standard header or footer for a webpage.</p>
<h3 id="ssl">SSL</h3>
<p>Stands for Secure Socket Layer. SSL is a protocol developed by Netscape which encrypts data transmitted over the web. SSL is used by websites that obtain confidential information about users such as a user’s address or credit card number.</p>
<h3 id="static-ip-address">Static IP address</h3>
<p>An IP address that does not change. Some computers that have static IP addresses include web servers and e-mail servers.</p>
<h3 id="streaming">Streaming</h3>
<p>Downloading audio and video in such a way that it is being viewed while it is being downloaded.</p>
<h3 id="streaming-format">Streaming Format</h3>
<p>The standard format used for files that are being streamed over the internet.</p>
<h3 id="svg">SVG</h3>
<p>Stands for Scalable Vector Graphics. SVG is a file format for vector graphics which allows images to be displayed in XML pages. These images are created through the use of text based commands that are formatted to comply with XML specifications. SVG images are scalable to the size of the window in which a web page is viewed and will adjust in size and resolution based on the window in which they are displayed, unlike JPEG and GIF images which always remain a specific size. Other benefits of SVG include being a smaller file size than JPEG and GIF image files, being resolution independent - so an SVG image can scale up or down on any type of web device, accordingly, being able to link to parts of an image, and containing complex animation.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>T</p>
<h3 id="tag">Tag</h3>
<p>A command placed in a web document that specifies the structure and formatting of the document.</p>
<h3 id="tcp">TCP</h3>
<p>Stands for Transmission Control Protocol. TCP is one of the main protocols of the TCP/IP protocol suite along with IP. TCP enables two devices on a network to establish a connection and exchange data.</p>
<h3 id="tcpip">TCP/IP</h3>
<p>Stands for Transmission Control Protocol/Internet Protocol. TCP/IP is a suite of protocols that dictate the logistics of communication over the internet. TCP and IP are the two main protocols in this protocol suite, others being HTTP, SMTP, telnet, HTTPS, and more. The TCP protocol is responsible for ensuring a connection between two computers that is error free and that the two computers exchange data. The IP protocol is responsible for the actual data packets sent over the internet as well as the addressing scheme (where the packets go).</p>
<h3 id="tcpip-address">TCP/IP Address</h3>
<p>See IP Address.</p>
<h3 id="tcpip-packet">TCP/IP Packet</h3>
<p>A data packet that is sent over a network running TCP/IP.</p>
<h3 id="trojan-horse">Trojan Horse</h3>
<p>A program that appears harmless, but its true purpose is malicious. Trojan horses are used for various purposes including allowing someone remote access to a victim’s computer (remote access trojan), providing an attacker with sensitive information such as usernames and passwords (data sending trojan), destroying files (destructive trojan), and using the victims computer as a proxy server (proxy trojan), among others.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>U</p>
<h3 id="uddi">UDDI</h3>
<p>Stands for Universal Description Discovery and Integration. UDDI is a web based business interaction model that makes it possible for businesses to list themselves on the internet as well as discover other businesses on the internet.</p>
<h3 id="unix">Unix</h3>
<p>An operating system developed by Bell Laboratories in the early 1970’s. Unix is written in C, and is used primarily for servers.</p>
<h3 id="unzip">UNZIP</h3>
<p>The process of uncompressing a file that has been zipped.</p>
<h3 id="upload">Upload</h3>
<p>The process by which data is transferred from a local computer to a remote location.</p>
<h3 id="uri">URI</h3>
<p>Stands for Uniform Resource Identifier. A URI is used to identify resources on the internet with a name or address. Some examples of a URI would be an IP address or a web address(URL).</p>
<h3 id="url">URL</h3>
<p>Stands for Uniform Resource Locator. A URL is an address containing three parts that points to resources on the internet. The first part of a URL specifies the protocol to use. The second part of a URL specifies the domain or IP address where the resource is located. The third part of a URL specifies the location of the file. For example, the URL http://www.landofcode.com/view/about.html points to a resource which is an HTML file, particulary the file about.html. The first part of the URL specifies to use the HTTP protocol to get this resource. The second part of the URL specifies that the domain where this resource is located is www.landofcode.com. The third part of the URL specifies that this resource is located in the /view directory.</p>
<h3 id="usenet">USENET</h3>
<p>A global news system that contains more than 14,000 forums called newsgroups covering a vast amount of information. USENET can be accessed through the internet and is used by millions of people daily.</p>
<h3 id="user-agent">User-Agent</h3>
<p>A string of text that identifies the web browser and operating system used by a user. The user-agent string is sent by the web browser the user is using.</p>
<p>Your user-agent string is <strong>Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.131 Safari/537.36</strong>.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>V</p>
<h3 id="vb">VB</h3>
<p>See Visual Basic.</p>
<h3 id="vbscript">VBScript</h3>
<p>Stands for Visual Basic Scripting Edition. VBScript is a scripting language developed by Microsoft that works only in Microsoft’s Internet Explorer web browser and browsers based on Internet Explorer’s engine such as Flashpeak’s SlimBrowser. VBScript can be used to print dates, make calculations, interact with the user, and more. VBScript is based on Visual Basic , but it is much simpler.</p>
<h3 id="virus">Virus</h3>
<p>See Computer Virus.</p>
<h3 id="visit">Visit</h3>
<p>Time spent at a website.</p>
<h3 id="visitor">Visitor</h3>
<p>Someone who comes to a website.</p>
<h3 id="visual-basic">Visual Basic</h3>
<p>A language developed by Microsoft based on the BASIC language. Visual Basic is a high level object-oriented language that can create various Windows applications. The VBScript language ( also developed by Microsoft ) is based on Visual Basic.</p>
<h3 id="vpn">VPN</h3>
<p>Stands for Virtual Private Network. A VPN is a private network that uses encryption and other means of security as a means of private communication over a public network.</p>
<h3 id="vrml">VRML</h3>
<p>Stands for Virtual Reality Modeling Language. VRML is a standard used for displaying 3-dimensional graphics on the world wide web.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>W</p>
<h3 id="w3c">W3C</h3>
<p>Stands for World Wide Web Consortium. The W3C develops and maintains standards for the world wide web.</p>
<h3 id="wan">WAN</h3>
<p>Stands for Wide Area Network. A WAN is a network that connects various computers and devices in a network larger than a LAN (in terms of geographical area). A WAN can also be used to connect together two or more LAN’s. The largest WAN in the world is the internet.</p>
<h3 id="wap">WAP</h3>
<p>Stands for Wireless Application Protocol. WAP is the protocol used by various wireless devices such as mobile phones, pagers , and smartphones to receive data through a secure connection.</p>
<h3 id="web-applet">Web Applet</h3>
<p>A program that can be run inside a webpage, and downloaded by the user and run on a local computer. Web applets are mostly written in Java.</p>
<h3 id="web-client">Web Client</h3>
<p>A program that communicates with and receives data from a web server for the purpose of accessing resources on a website. A web client is usually a web browser.</p>
<h3 id="web-browser">Web Browser</h3>
<p>A web client used to display web pages and other web resources. Some web browsers include Mozilla Firefox, Netscape, Opera , and Internet Explorer.</p>
<h3 id="web-document">Web Document</h3>
<p>A document viewed on the world wide web. Web documents are formatted in a markup language like HTML or XML and can also contain content produced with scripting languages like Javascript, PHP, and Perl.</p>
<h3 id="web-error">Web Error</h3>
<p>See Web Server Error.</p>
<h3 id="web-form">Web Form</h3>
<p>See HTML form.</p>
<h3 id="web-host">Web Host</h3>
<p>A company that provides services like server space and file maintenance to various individuals and compaines.</p>
<h3 id="web-hosting">Web Hosting</h3>
<p>The process by which server space is provided to store various web content so that it can be accessed by users on various networks.</p>
<h3 id="web-page">Web Page</h3>
<p>A document that is part of a website that is distributed to users requesting it over the world wide web.</p>
<h3 id="web-robot">Web Robot</h3>
<p>See Web Spider.</p>
<h3 id="web-server">Web Server</h3>
<p>A type of server used to store the content of web sites and distribute it to users who request it.</p>
<h3 id="web-server-error">Web Server Error</h3>
<p>A message generated by a web server when some error occurs during the interaction between it and a user. The various web server errors each have a code. For example, when a user tries to access a file that does not exist on the web server, they will get a 404 File Not Found error.</p>
<h3 id="web-services">Web Services</h3>
<p>Software systems running on web servers that support interaction between computers that can work together to accomplish certain tasks over a network.</p>
<h3 id="web-site">Web Site</h3>
<p>A location on the world wide web containing a top level domain extension such as.com,.net..org,.info. Web sites contain a set of related web pages and other web resources that collectively make up the website. Websites are owned and managed by various individuals, companies, and organizations.</p>
<h3 id="web-spider">Web Spider</h3>
<p>A software tool used to search the world wide web for web pages and indexing them accordingly. Search engines use spiders to add new pages to their search results.</p>
<h3 id="web-wanderer">Web Wanderer</h3>
<p>See Web Spider.</p>
<h3 id="wildcard">Wildcard</h3>
<p>A special character that means any and all characters. The wildcard character is often used to select a large amount of files at once. For example, in Windows and DOS, the wildcard character is <em>. Suppose you are using Windows and you want to see a list of all of the files in a directory that have a.txt extension, for this task you would use the wildcard character </em> in the form *.txt. This will return all the files in the directory that have a.txt extension.</p>
<h3 id="windows-2000-windows-nt-windows-9598-windows-xp">Windows 2000, Windows NT, Windows 95/98, Windows XP</h3>
<p>Operating systems that are part of the Windows family of operating systems developed by Microsoft. Currently, the most popular version of Windows is Windows XP.</p>
<h3 id="windows-media">Windows Media</h3>
<p>A set of audio and video formats developed by Microsoft.</p>
<h3 id="winzip">WINZIP</h3>
<p>A software tool used to compress and decompress files. WINZIP was developed by WinZip Computing which is now owned by the Corel Corporation.</p>
<h3 id="wma">WMA</h3>
<p>Stands for Windows Media Audio. WMA is an audio format developed by Microsoft for the internet which uses a.wma file extension. The WMA format can encode digital audio the way the MP3 format does, but performs the compression of files at a higher rate than MP3.</p>
<h3 id="wmv">WMV</h3>
<p>Stands for Windows Media Video. WMV is a video format developed by Microsoft for the internet which uses a.wmv file extension. The WMV video format is part of the Windows Media Framework.</p>
<h3 id="wml">WML</h3>
<p>Stands for Wireless Markup Language. WML is a language used to specify the content and interface for wireless devices such as mobile phones.</p>
<h3 id="wml-script">WML Script</h3>
<p>Stands for Wireless Markup Language script. WML is a scripting language used for WML.</p>
<h3 id="worm">Worm</h3>
<p>A computer virus that works by making copies of itself and infecting other computers in the process.</p>
<h3 id="wsdl">WSDL</h3>
<p>Stands for Web Services Description Language. WSDL is an XML formatted language that is used to describe the capabilities of a web service as well communication endpoints that are capable of exchanging messages.</p>
<h3 id="world-wide-web">World Wide Web</h3>
<p>A subset of the internet that uses mostly the HTTP (as well as HTTPS) protocols to transfer web documents to users across the internet.</p>
<h3 id="www-server">WWW Server</h3>
<p>See Web Server.</p>
<h3 id="wysiwyg">WYSIWYG</h3>
<p>Stands for What You see Is What You Get. WYSIWYG is an acronym used to refer to seeing a document exactly how it will be displayed when it is published or printed.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>X</p>
<h3 id="xforms">XForms</h3>
<p>The next generation of HTML/XHTML forms. XForms will separate data definition and data display, unlike current HTML forms. XForms will also be used to describe interface components other than forms.</p>
<h3 id="xhtml">XHTML</h3>
<p>Stands for Extensible Hyper Text Markup Language. XHTML is the next step in the evolution of HTML. It’s syntax is stricter and more verbose.</p>
<h3 id="xpath">XPath</h3>
<p>XPath is a language used for defining parts of an XML document as well as computing values based on content in an XML document. XPath is part of XSL along with XSL-FO and XSLT.</p>
<h3 id="xquery">XQuery</h3>
<p>XQuery is a language used for extracting information from XML documents.</p>
<h3 id="xml">XML</h3>
<p>Stands for Extensible Markup Language. XML is a markup language developed by the W3C where the tags are defined by developers . As such, the definition, transmission, validation, and interpretation of data between applications and organizations is enabled. XML is a simplified version of SGML.</p>
<h3 id="xml-document">XML Document</h3>
<p>A document that is written in XML. XML documents have a.xml file extension.</p>
<h3 id="xml-dom">XML DOM</h3>
<p>Stands for XML Document Object Model. XML DOM is a set of rules for how an XML page is represented in a tree structure. XML DOM was developed by the W3C.</p>
<h3 id="xml-schema">XML Schema</h3>
<p>A document used to describe the content, rules, structure, and syntax of an XML document. XML schema was designed by the W3C , and it is intended to replace DTD.</p>
<h3 id="xsd">XSD</h3>
<p>Stands for XML Schema Definition. Same as XML Schema.</p>
<h3 id="xsl">XSL</h3>
<p>Stands for Extensible Stylesheet Language. XSL is a standard developed by the W3C used to specify styles for various elements on a webpage, and is the second such standard. The first being CSS. XSL has two advantages over CSS - it allows developers to specify how web pages are printed, and transfer XML documents across different applications. The first draft of XSL was released in August 1998.</p>
<h3 id="xsl-fo">XSL-FO</h3>
<p>Stands for XSL Formatting Objects. XSL-FO is an XML language used to format documents. XSL-FO is part of XSL along with XSLT and XPath.</p>
<h3 id="xslt">XSLT</h3>
<p>Stands for XSL Transformations. XSLT is an XML language used to transform XSML documents into other XML documents. XSLT is part of XSL along with XSL-FO and XPath.</p>
<p>[^Back to top](http://www.landofcode.com/web-computer-terms-glossary.php#)</p>
<p>Z</p>
<h3 id="zip">ZIP</h3>
<p>A popular file compression format. Files that are compressed with the ZIP format have a.zip extension and are called ZIP files. Such files are said to be ZIPPED, while files that are decompressed from the ZIP format are said to be UNZIPPED. ZIP files are often offered for download over the internet, as this makes downloading faster for the user as well as makes the bandwidth usage of a web server more economical. Once downloaded, the ZIP file can be UNZIPPED by the user.</p>
</body>
</html>
